> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.fortresstech.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server.

# Read Household Leslie Configuration

GET https://api.fortresstech.io/v1/households/{householdId}/leslieConfiguration

Available by RequestRead whether the Leslie integration is enabled for a specific household. If no configuration has been saved for the household yet, a default of `enabled: true` (and `effectiveEnabled: true`) is returned. Integrations should key off of `effectiveEnabled` rather than the raw `enabled` value, since `effectiveEnabled` accounts for a disabled quiet period (`disabledUntil`) that has since elapsed even though `enabled` still reflects the last saved value until it is explicitly re-enabled.This endpoint is part of our evolving API ecosystem.
To explore availability for your integration, please contact our team.

Reference: https://developer.fortresstech.io/api-reference/households/read-household-leslie-configuration

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `householdId` (string, required) — The id of the household

## Response

### 200

Expected response to a valid request

- `id` (string, optional, nullable)
- `householdId` (string, optional)
- `enabled` (boolean, optional) — Whether the Leslie integration is enabled for this household.
- `effectiveEnabled` (boolean, optional) — The value integrations should act on. This accounts for any quiet period that has since ended, and may differ from the raw `enabled` value.
- `isInQuietPeriod` (boolean, optional) — Whether a disabled quiet period is currently active for this household.
- `disabledReason` (string, optional, nullable)
- `disabledById` (string, optional, nullable)
- `disabledAt` (datetime, optional, nullable)
- `disabledUntil` (datetime, optional, nullable)
- `createdAt` (datetime, optional, nullable)
- `updatedAt` (datetime, optional, nullable)
- `household` (households_components-schemas-Base, optional)

## Types

### households_components-schemas-Base

- `status` (enum, optional)
  - Allowed values: `APPLICANT`, `RESIDENT`, `PRIOR`
- `isUnderEviction` (boolean, optional)
- `id` (string, optional)
- `readableId` (string, optional)
- `idempotencyId` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `deletedAt` (datetime, optional)
- `currentUnitId` (string, optional) — Current unit the household is associated with. Set only when the lease is active
- `currentLeaseId` (string, optional) — Current active lease for the household.
- `applicationId` (string, optional)
- `organizationId` (string, optional)
- `propertyId` (string, optional)
- `currentCertificationId` (string, optional)
- `prospectId` (string, optional)
- `primaryCustomerId` (string, optional)
- `totalActiveRentAmount` (double, optional) — Sum of all active RENT monthly lease transactions for the household
- `totalActiveSubsidyAmount` (double, optional) — Sum of all active SUBRENT monthly lease transactions for the household
- `totalActiveFeesAmount` (double, optional) — Sum of all active non-optional fee (charge) monthly lease transactions for the household
- `unitId` (string, optional, deprecated) — Deprecated, use currentUnitId instead

## Examples

**Response**

```json
{
  "id": "string",
  "householdId": "string",
  "enabled": true,
  "effectiveEnabled": true,
  "isInQuietPeriod": true,
  "disabledReason": "string",
  "disabledById": "string",
  "disabledAt": "2024-01-15T09:30:00Z",
  "disabledUntil": "2024-01-15T09:30:00Z",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "household": {
    "status": "APPLICANT",
    "isUnderEviction": true,
    "id": "string",
    "readableId": "string",
    "idempotencyId": "string",
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "deletedAt": "2024-01-15T09:30:00Z",
    "currentUnitId": "string",
    "currentLeaseId": "string",
    "applicationId": "string",
    "organizationId": "string",
    "propertyId": "string",
    "currentCertificationId": "string",
    "prospectId": "string",
    "primaryCustomerId": "string",
    "totalActiveRentAmount": 1.1,
    "totalActiveSubsidyAmount": 1.1,
    "totalActiveFeesAmount": 1.1,
    "unitId": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.fortresstech.io/v1/households/householdId/leslieConfiguration"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fortresstech.io/v1/households/householdId/leslieConfiguration';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fortresstech.io/v1/households/householdId/leslieConfiguration"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fortresstech.io/v1/households/householdId/leslieConfiguration")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fortresstech.io/v1/households/householdId/leslieConfiguration")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fortresstech.io/v1/households/householdId/leslieConfiguration', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fortresstech.io/v1/households/householdId/leslieConfiguration");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/households/householdId/leslieConfiguration")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```